$!-----------------------------------------------------------------------------
$! BUILD_HYPERSPIXX$AGENT.COM
$! Builds the HYPERSPIXX$AGENT utility for both VAX and AXP systems (separately)
$!
$! 03-FEB-2018  MGD  /FLOAT=IEEE for Alpha (as well)
$! 28-OCT-2000  MGD  RELAXED_ANSI compile
$! 01-DEC-1995  MGD  VAX migrate from VAX C to DEC C
$! 20-JUN-1995  MGD  initial development
$!-----------------------------------------------------------------------------
$ ON CONTROLY THEN EXIT 44
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""HYPERSPIXX$AGENT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000)"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI 'DEFINES'" +-
                  "/WARNING=(DISABLE=(PREOPTW,IMPLICITFUNC,ADDRCONSTEXT))
$ ELSE
$    CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI 'DEFINES' " +-
                  "/FLOAT=IEEE " +-
                  "/WARNING=(DISABLE=(PREOPTW,IMPLICITFUNC,ADDRCONSTEXT))
$ ENDIF
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR' HYPERSPIXX$AGENT
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /EXECUTABLE=WASD_EXE:HYPERSPIXX$AGENT.EXE -
     'OBJECT_DIR'HYPERSPIXX$AGENT,SYS$INPUT:/OPTIONS
SYS$SHARE:SPISHR.EXE/SHARE
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
